import { AbstractRenderer } from './AbstractRenderer';
import { StoryFnAngularReturnType, Parameters } from '../types';

export class CanvasRenderer extends AbstractRenderer {
  public async render(options: {
    storyFnAngular: StoryFnAngularReturnType;
    forced: boolean;
    parameters: Parameters;
    component: any;
    targetDOMNode: HTMLElement;
  }) {
    await super.render(options);
  }

  async beforeFullRender(): Promise<void> {
    await CanvasRenderer.resetPlatformBrowserDynamic();
  }

  async afterFullRender(): Promise<void> {
    await AbstractRenderer.resetCompiledComponents();
  }
}
